Package com.xebialabs.xlrelease.domain.variables

# Class ExternalVariableValue

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.variables.ExternalVariableValue

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false) public class ExternalVariableValue extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONFIGURATION_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalVariableValue()`
  `ExternalVariableValue(ExternalVariableServer server, String path, String externalKey)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getExternalKey()`
  `String`
  `getPath()`
  `ExternalVariableServer`
  `getServer()`
  `int`
  `hashCode()`
  `void`
  `setExternalKey(String externalKey)`
  `void`
  `setPath(String path)`
  `void`
  `setServer(ExternalVariableServer server)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CONFIGURATION_ID

    public static final String CONFIGURATION_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ExternalVariableValue

    public ExternalVariableValue()

  - ### ExternalVariableValue

    public ExternalVariableValue(ExternalVariableServer server, String path, String externalKey)

- ## Method Details

  - ### getServer

    public ExternalVariableServer getServer()

  - ### setServer

    public void setServer(ExternalVariableServer server)

  - ### getPath

    public String getPath()

  - ### setPath

    public void setPath(String path)

  - ### getExternalKey

    public String getExternalKey()

  - ### setExternalKey

    public void setExternalKey(String externalKey)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `BaseConfigurationItem`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BaseConfigurationItem`